Eclipse pe win64

Este cineva care folosește cu succes cea mai recentă versiune de 64 de biți Ganymede a Eclipse pe Windows XP sau Vista pe 64 de biți?

Currently I run the normal Eclipse 3.4 distribution on a 32bit JDK and launch & compile my apps with a 64bit JDK. Our previous experience has been that the 64bit Eclipse distro is unstable for us, so I'm curious if anyone is using it successfully.

Folosim JDK 1.6.0_05.

0
fr hi bn

2 răspunsuri

Am folosit-o cu succes pe Vista x64 pentru o lucrare Java ușoară. Nimic prea implicat și niciun plugin suplimentar, dar codarea Java de bază a funcționat fără probleme. Eu folosesc construirea 3.4M7, dar seamănă cu 3.4 construi stabil suporta Vista x64 acum.

0
adăugat

Folosesc Eclipse cu un VM pe 64 de biți. Cu toate acestea, trebuie să folosesc Java 1.5, deoarece cu Java 1.6, chiar și 1.6.0_10ea, Eclipse sa prăbușit atunci când a schimbat fișierul .classpath. Pe Linux am avut aceleași probleme și am putut obține doar Eclipse 64bit pentru a lucra cu 64bit Java 1.5.

Problema pare a fi cu compilația just-in timp, deoarece cu vmparam -Xlin eclipsa lucrărilor - dar aceasta nu este o soluție, pentru că este lent atunci.

Editare:

Cu 1.6.0_11 pare să funcționeze.

Ultima versiune 1.6_10 ar putea funcționa la fel de bine cum sa menționat și în comentariu, dar nu am testat asta.

0
adăugat
JDK 1.5 sau 1.6.0_10 (acum în afara versiunii beta) par a fi cel mai bun răspuns
adăugat autor Joshua McKinnon, sursa